libstdc++: std::filesystem::path::iterator Class Reference

libstdc++

std::filesystem::path::iterator Class Reference
Filesystem

`#include <filesystem>`

## Public Types
using | difference_type
using | iterator_category
using | pointer
using | reference
using | value_type

## Public Member Functions
| iterator (const iterator &)=default
reference | operator* () const noexcept
iterator & | operator++ () noexcept
iterator | operator++ (int) noexcept
iterator & | operator-- () noexcept
iterator | operator-- (int) noexcept
pointer | operator-> () const noexcept
iterator & | operator= (const iterator &)=default

## Friends
void | __path_iter_advance (iterator &__i, difference_type __n) noexcept
difference_type | __path_iter_distance (const iterator &__first, const iterator &__last) noexcept
bool | operator!= (const iterator &__lhs, const iterator &__rhs) noexcept
bool | operator== (const iterator &__lhs, const iterator &__rhs) noexcept
class | path

## Detailed Description

An iterator for the components of a path.

Since
  C++17

Definition at line 956 of file bits/fs_path.h.

## Member Typedef Documentation

## ◆ difference_type

using std::filesystem::path::iterator::difference_type

Definition at line 959 of file bits/fs_path.h.

## ◆ iterator_category

using std::filesystem::path::iterator::iterator_category

Definition at line 963 of file bits/fs_path.h.

## ◆ pointer

using std::filesystem::path::iterator::pointer

Definition at line 962 of file bits/fs_path.h.

## ◆ reference

using std::filesystem::path::iterator::reference

Definition at line 961 of file bits/fs_path.h.

## ◆ value_type

using std::filesystem::path::iterator::value_type

Definition at line 960 of file bits/fs_path.h.

## Constructor & Destructor Documentation

## ◆ iterator()

std::filesystem::path::iterator::iterator | ( |  | ) |
| inlinenoexcept

Definition at line 965 of file bits/fs_path.h.

## Member Function Documentation

## ◆ operator++()

iterator std::filesystem::path::iterator::operator++ | ( | int |  | ) |
| inlinenoexcept

Definition at line 975 of file bits/fs_path.h.

## ◆ operator--()

iterator std::filesystem::path::iterator::operator-- | ( | int |  | ) |
| inlinenoexcept

Definition at line 980 of file bits/fs_path.h.

## ◆ operator->()

pointer std::filesystem::path::iterator::operator-> | ( |  | ) | const
| inlinenoexcept

Definition at line 971 of file bits/fs_path.h.

## Friends And Related Symbol Documentation

## ◆ __path_iter_advance

void __path_iter_advance | ( | iterator & | __i,
|  | difference_type | __n )
| friend

Definition at line 1013 of file bits/fs_path.h.

## ◆ __path_iter_distance

difference_type __path_iter_distance | ( | const iterator & | __first,
|  | const iterator & | __last )
| friend

Definition at line 999 of file bits/fs_path.h.

## ◆ operator!=

bool operator!= | ( | const iterator & | __lhs,
|  | const iterator & | __rhs )
| friend

Definition at line 988 of file bits/fs_path.h.

## ◆ operator==

bool operator== | ( | const iterator & | __lhs,
|  | const iterator & | __rhs )
| friend

Definition at line 984 of file bits/fs_path.h.

## ◆ path

friend class path
| friend

Definition at line 992 of file bits/fs_path.h.

The documentation for this class was generated from the following file:

- bits/fs_path.h